Page MenuHomePhabricator

VE save dialog's checkboxes should have id or class set
Closed, ResolvedPublic1 Story Points

Description

In VE, after save dialog is openned, the minor edit button appears in that dialog too. But I can not operate with it in my VE gadget, because it has no id, class, nothing. I also can not use any class or id of any parent element, because of the same issue. My only choice is $('.ve-ui-mwSaveDialog-checkboxes input:first') which is really not good (what if the order changes in the future?). Please add some id or class for easier gadgets hacking.

Event Timeline

Dvorapa created this task.Jun 24 2016, 9:34 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 24 2016, 9:34 PM
Dvorapa updated the task description. (Show Details)Jun 24 2016, 9:44 PM
Dvorapa updated the task description. (Show Details)Jun 24 2016, 9:56 PM

Change 299779 had a related patch set uploaded (by DLynch):
MWSaveDialog: Give checkboxes a class based on their origin's name

https://gerrit.wikimedia.org/r/299779

Jdforrester-WMF renamed this task from Minor edit checkbox should have id or class to VE save dialog's checkboxes should have id or class set.Jul 19 2016, 6:05 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF assigned this task to DLynch.
Jdforrester-WMF set the point value for this task to 1.

Change 299779 merged by jenkins-bot:
MWSaveDialog: Give checkboxes a class based on their origin's name

https://gerrit.wikimedia.org/r/299779

Jdforrester-WMF closed this task as Resolved.Jul 20 2016, 12:38 AM